Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.parameters
Class ParameterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              de.jstacs.parameters.ParameterException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CollectionParameter.InconsistentCollectionException, ParameterSetParser.NotInstantiableException, ParameterSetParser.WrongParameterTypeException, SimpleParameter.DatatypeNotValidException, SimpleParameter.IllegalValueException

    public class ParameterException

extends Exception

Class for an exception that is thrown if some error occurs while setting a parameter's value or constructing a parameter.

Author:
  Jan Grau
See Also:
  Serialized Form

Constructor Summary
`ParameterException()` Constructor for a `ParameterException` without a specific message.
`ParameterException(String message)` Constructor for a `ParameterException` with the specified error message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterException

    public ParameterException(String message)

  Constructor for a `ParameterException` with the specified error message.

  Parameters:
    `message` - the error message

### ParameterException

    public ParameterException()

  Constructor for a `ParameterException` without a specific message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD